
namespace MarkII.Misc
{
    #region WoWContext enum

    public enum WoWContext
    {
        PvE,
        PvP,
        Solo,
        None
    }
    #endregion

    #region TrinketUsage enum

    public enum TrinketUsage
    {
        Never,
        LowMana,
        LowHealth,
        CrowdControlled,
        OnRaidCooldowns,
        Burst,
        OnCooldownInCombat
    }

    
    #endregion

    #region Refreshment enum

    internal enum Refreshment
    {
        Food,
        Drink,
        Flask
    }

    #endregion

    #region Specialisation enum

    public enum ClassType
    {
        Melee,
        MRanged,
        PRanged,
        Healer,
        Tank,
        Empty
    }


    #endregion

    #region Pet enums

    public enum PetType
    {
        Cunning,
        Ferocity,
        Tenacity
    }

    public enum CallPet
    {
        None,
        Pet1 = 1,
        Pet2 = 2,
        Pet3 = 3,
        Pet4 = 4,
        Pet5 = 5
    }

    public enum SpiritMend
    {
        Never,
        Me,
        Focus,
        Pet,
        Partner,
        Me_Focus,
        Me_Pet,
        Me_Partner,
        Pet_Partner,
        Me_Focus_Pet,
        Me_Pet_Partner,
        Focus_Pet
    }

    public enum RoarOfSacrifice
    {
        Never,
        Me,
        Partner,
        Me_Partner
    }

    public enum MastersCall
    {
        Never,
        Me,
        Partner,
        Me_Partner
    }

    public enum MisdirectOn
    {
        Nobody,
        Pet,
        Me,
        Focus

    }

    public enum MisdirectWhen
    {
        Never,
        InsecurelyTanking,
        Always
        
    }
    enum LagTolerance
    {
        No = 0,
        Yes
    };
    #endregion

    #region Attack enums

    public enum SerpentSting
    {
        Never,
        Always,
        Sometimes
    }

    public enum FeignDeath
    {
        Never,
        HighThreat,
        OnAggro,
        LowHealth,
        Threat_Health,
        Aggro_Health
    }

    public enum PvPFeignDeath
    {
        Never,
        Casting,
        PetNear,
        Targetted,
        Casting_Pet,
        Casting_Targetted,
        Pet_Targetted,
        Casting_Pet_Targetted
    }

    public enum SilencePvP
    {
        Never,
        Casting,
        Healer,
        Healer_Casting,
        Casting_or_Healer
    }

    public enum TranqWho
    {
        Nobody,
        Target,
        Focus,
        Target_n_Focus
    }

    public enum ConcWho
    {
        Nobody,
        Target,
        Focus,
        Target_n_Focus
    }

    public enum ScatterWho
    {
        Nobody,
        Target,
        Focus,
        Target_n_Focus
    }

    public enum WyvernWho
    {
        Nobody,
        Target,
        Focus,
        Target_n_Focus
    }

    public enum SilenceWho
    {
        Nobody,
        Target,
        Focus,
        Target_n_Focus
    }

    public enum Intimidate
    {
        Never,
        Interrupt,
        Defend,
        LowHealth,
        Interrupt_Defend,
        Interrupt_Health,
        Defend_Health,
        Interrupt_Defend_Health
    }

    public enum ScatterShot
    {
        Never,
        Interrupt,
        Defend,
        Interrupt_Defend
    }
    public enum Deterrence
    {
        Never,
        LowHealth,
        Reflect,
        Defend,
        Health_Reflect,
        Health_Defend,
        Reflect_Defend,
        Health_Reflect_Defend
    }
    #endregion

}
