// Leaves
// Created on 07/03/2013 at 4:03 PMh
// HotkeyManager.cs created by <Mirabis>

using System.Windows.Media;
using MarkII.Misc;
using MarkII.Settings;
using Styx;
using Styx.Common;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;

namespace MarkII.Managers
{
    public static class HotkeyManager
    {
        public delegate T Selection<out T>(object context);

        public static bool Registered;

        private static LocalPlayer Me
        {
            get { return StyxWoW.Me; }
        }

        public static bool CCMode { get; set; }
        public static bool AutoFocusMode { get; set; }
        public static bool RegenMode { get; set; }
        public static bool MultiDotMode { get; set; }
        public static bool AoEMode { get; set; }

        /// <summary>
        ///     Registers the Keys
        /// </summary>
        public static void RegisterKeys()
        {
            if (Registered) return;

            if (StyxWoW.Me.Specialization == WoWSpec.HunterBeastMastery)
            {
                HotkeysManager.Register("FocusKey", MainSettings.Hotkeys.Instance.FocusKeyChoice, MainSettings.Hotkeys.Instance.FocusModifierChoice,
                                ret =>
                                {
                                    RegenMode = !RegenMode;
                                    Lua.DoString(RegenMode ? @"print('[Mark II] [Mode] =\124cFF15E61C Focus Regen Mode ON!')" : @"print('[Mark II] [Mode] =\124cFFE61515 Focus Regen Mode OFF!')");
                                    //_lastRoutineMode = RegenMode ? "Auto" : "Hotkey";

                                });

                HotkeysManager.Register("AutoKey", MainSettings.Hotkeys.Instance.AutoKeyChoice, MainSettings.Hotkeys.Instance.AutoModifierChoice,
                                ret =>
                                {
                                    AutoFocusMode = !AutoFocusMode;
                                    Lua.DoString(AutoFocusMode ? @"print('[Mark II] [Mode] =\124cFF15E61C Auto Set Focus Mode ON!')" : @"print('[Mark II] [Mode] =\124cFFE61515 Auto Set Focus Mode OFF!')");
                                    //_lastRoutineMode = AutoFocusMode ? "Auto" : "Hotkey";

                                });

                HotkeysManager.Register("MultiDotKey", MainSettings.Hotkeys.Instance.MultiDotKeyChoice, MainSettings.Hotkeys.Instance.MultiDotModifierChoice,
                                ret =>
                                {
                                    MultiDotMode = !MultiDotMode;
                                    Lua.DoString(MultiDotMode ? @"print('[Mark II] [Mode] =\124cFF15E61C Multi Dotting ON!')" : @"print('[Mark II] [Mode] =\124cFFE61515 Multi Dotting OFF!')");
                                    //_lastRoutineMode = RegenMode ? "Auto" : "Hotkey";

                                });

                HotkeysManager.Register("AoEKey", MainSettings.Hotkeys.Instance.AoEKeyChoice, MainSettings.Hotkeys.Instance.ModifierChoice,
                                ret =>
                                {
                                    AoEMode = !AoEMode;
                                    Lua.DoString(AoEMode ? @"print('[Mark II] [Mode] =\124cFF15E61C AoE Rotation ON!')" : @"print('[Mark II] [Mode] =\124cFFE61515 AoE Rotation OFF!')");
                                    //_lastRoutineMode = AoEMode ? "Auto" : "Hotkey";

                                });

                //At End
                Registered = true;
                Lua.DoString(@"print('[Mark II] [Hotkeys] \124cFF15E61C registered!')");
                Logging.Write(LogLevel.Normal, Colors.ForestGreen, "Hotkeys Registered!");
            }
            if (StyxWoW.Me.Specialization == WoWSpec.HunterSurvival)
            {
                HotkeysManager.Register("FocusKey", MainSettingsSV.Hotkeys.Instance.FocusKeyChoice, MainSettingsSV.Hotkeys.Instance.FocusModifierChoice,
                                ret =>
                                {
                                    RegenMode = !RegenMode;
                                    Lua.DoString(RegenMode ? @"print('[Mark II] [Mode] =\124cFF15E61C Focus Regen Mode ON!')" : @"print('[Mark II] [Mode] =\124cFFE61515 Focus Regen Mode OFF!')");
                                    //_lastRoutineMode = RegenMode ? "Auto" : "Hotkey";

                                });

                HotkeysManager.Register("MultiDotKey", MainSettingsSV.Hotkeys.Instance.MultiDotKeyChoice, MainSettingsSV.Hotkeys.Instance.MultiDotModifierChoice,
                                ret =>
                                {
                                    MultiDotMode = !MultiDotMode;
                                    Lua.DoString(MultiDotMode ? @"print('[Mark II] [Mode] =\124cFF15E61C Multi Dotting ON!')" : @"print('[Mark II] [Mode] =\124cFFE61515 Multi Dotting OFF!')");
                                    //_lastRoutineMode = RegenMode ? "Auto" : "Hotkey";

                                });

                HotkeysManager.Register("AoEKey", MainSettingsSV.Hotkeys.Instance.AoEKeyChoice, MainSettingsSV.Hotkeys.Instance.ModifierChoice,
                                ret =>
                                {
                                    AoEMode = !AoEMode;
                                    Lua.DoString(AoEMode ? @"print('[Mark II] [Mode] =\124cFF15E61C AoE Rotation ON!')" : @"print('[Mark II] [Mode] =\124cFFE61515 AoE Rotation OFF!')");
                                    //_lastRoutineMode = AoEMode ? "Auto" : "Hotkey";

                                });

                //At End
                Registered = true;
                Lua.DoString(@"print('[Mark II] [Hotkeys] \124cFF15E61C registered!')");
                Logging.Write(LogLevel.Normal, Colors.ForestGreen, "Hotkeys Registered!");
            }
        }


        public static void RemoveAllKeys()
        {
            if (!Registered) return;
            HotkeysManager.Unregister("FocusKey");
            HotkeysManager.Unregister("AoEKey");
            HotkeysManager.Unregister("AutoKey");
            HotkeysManager.Unregister("MultiDotKey");

            Registered = false;
            Lua.DoString(@"print('[Mark II] [Hotkeys] \124cFFE61515 removed! Bools defaulted to false...')");
            Logger.CombatLog("Hotkeys Removed!");
        }

        /*       public static Decorator RunHotkeys(Selection<bool> reqs = null)
        {
            return new Decorator(ret => (reqs != null && reqs(ret)) || (reqs == null),
                                 new Action(ret =>
                                     {
                                         if (Target != null && Target.IsAlive && !Target.IsMe && AutomaticMode)
                                             RegisterKeys();
                                         else if (Target == null || Target.IsDead || Target.IsMe || !AutomaticMode)
                                             RemoveAllKeys();
                                         return RunStatus.Failure;
                                     }));
        }*/
    }
}